From 88d2566d0969eaf420fb769a81bc8e3a8d51006a Mon Sep 17 00:00:00 2001
From: Erlend <me@erlend.io>
Date: Tue, 28 Apr 2020 18:27:54 +0200
Subject: [PATCH 2/2] adding include files

---
 CMakeLists.txt                       | 2 +-
 tests/functional/FunctionalTests.cpp | 4 ++--
 tests/functional/menus/MenuMain.cpp  | 1 +
 3 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 4ed1632..6b7f9e3 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -37,4 +37,4 @@ include_directories(${UNITY_API_INCLUDE_DIRS})
 
 add_subdirectory(src)
 add_subdirectory(include)
-add_subdirectory(tests)
+# add_subdirectory(tests)
diff --git a/tests/functional/FunctionalTests.cpp b/tests/functional/FunctionalTests.cpp
index aa0790d..b0730cd 100644
--- a/tests/functional/FunctionalTests.cpp
+++ b/tests/functional/FunctionalTests.cpp
@@ -20,8 +20,8 @@
 
 #include <gtest/gtest.h>
 
-#include <libqtdbustest/DBusTestRunner.h>
-#include <libqtdbustest/QProcessDBusService.h>
+#include <libqtdbustest-1/DBusTestRunner.h>
+#include <libqtdbustest-1/QProcessDBusService.h>
 
 #include <QDBusConnection>
 #include <QString>
diff --git a/tests/functional/menus/MenuMain.cpp b/tests/functional/menus/MenuMain.cpp
index 5123177..0b1a4ee 100644
--- a/tests/functional/menus/MenuMain.cpp
+++ b/tests/functional/menus/MenuMain.cpp
@@ -18,6 +18,7 @@
 
 #include <unity/gmenuharness/MatchUtils.h>
 #include <unity/util/ResourcePtr.h>
+#include <functional>
 
 #include <glib-object.h>
 #include <gio/gio.h>
-- 
2.25.4

